# pytest ile asyncio RuntimeError: Event loop is closed sorunu çözümü

* Tüm `session` içerisinde ortak `event_loop` kullanmamız gerekir
* `pytestmark` işleminden önce gelmesine dikkat edin

```python
from pytest import mark, fixture
from asyncio import get_event_loop_policy
from typing import Any

@fixture(scope="session")
def event_loop(request: Any):
    loop = get_event_loop_policy().new_event_loop()
    yield loop
    loop.close()

pytestmark = mark.asyncio(timeout=5, scope="session")
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yemreak.com/arsiv/yazilarim/pytest-ile-asyncio-runtimeerror-event-loop-is-closed-sorunu-coezuemue.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
